ALTER PROCEDURE [dbo].[upd_doc_documento_cotizacion]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_active bit = null,
		@p_documento_cotizacion varchar(300) = null,
		@p_version int = null,
		@p_validez int = null,
		@p_contacto varchar(100) = null,
		@p_cargo varchar(100) = null,
		@p_encabezado varchar(8000) = null,
		@p_condiciones varchar(8000) = null,
		@p_notas varchar(8000) = null,
		@p_esAIU bit = null,
		@p_procentajeA float = null,
		@p_procentajeI float = null,
		@p_procentajeU float = null,
		@p_valorA float = null,
		@p_valorI float = null,
		@p_valorU float = null,
		@p_id_sucursal int = null,
		@p_id_equipo int = null,
		@p_id_usuario_asesor int = null,
		@p_email varchar(100) = null,
		@p_documento_codigo varchar(100),
		@p_documento_numero int,
		@p_prefijo varchar(10),
		@p_subtotal float,
		@p_descuento float,
		@p_iva float,
		@p_total float,
		@p_costo float,
		@p_rentabilidad float,
		@p_trm float,
		@p_fecha_fh smalldatetime,
		@p_fechaSugerida_fh smalldatetime,
		@p_fechaCierre_ff smalldatetime,
		@p_fechaLimite_fh smalldatetime,
		@p_id_subtipoDocumento int,
		@p_id_tercero_cliente int,
		@p_id_documento int,
		@p_id_tercero_proveedor int,
		@p_id_prioridadDocumento int,
		@p_id_moneda int,
		@p_id_estadoTipoDocumento int,
		@p_id_motivoestado int,
		@p_subtotalPlaneado float,
		@p_descuentoPlaneado float,
		@p_ivaPlaneado float,
		@p_totalPlaneado float,
		@p_costoPlaneado float,
		@p_id_usuario_asignado int,
		@p_id_usuario_enUso int,
		@p_telefono varchar(100) = null

AS

BEGIN

exec [upd_doc_documento]
			@p_id,
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			@p_fechaCreacion,
			@p_documento_cotizacion,
			@p_documento_codigo,
			@p_documento_numero,
			@p_prefijo,
			@p_subtotal,
			@p_descuento,
			@p_iva,
			@p_total,
			@p_costo,
			@p_rentabilidad,
			@p_trm,
			@p_fecha_fh,
			@p_fechaSugerida_fh,
			@p_fechaCierre_ff,
			@p_fechaLimite_fh,
			@p_id_subtipoDocumento,
			@p_id_tercero_cliente,
			@p_id_documento,
			@p_id_tercero_proveedor,
			@p_id_prioridadDocumento,
			@p_id_moneda,
			@p_id_estadoTipoDocumento,
			@p_id_motivoestado,
			@p_subtotalPlaneado,
			@p_descuentoPlaneado,
			@p_ivaPlaneado,
			@p_totalPlaneado,
			@p_costoPlaneado,
			@p_id_usuario_asignado,
			@p_id_usuario_enUso
	UPDATE [doc_documento.cotizacion]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[fechaCreacion] = isnull(@p_fechaCreacion,[fechaCreacion]),
			[documento.cotizacion] = isnull(@p_documento_cotizacion,[documento.cotizacion]),
			[version] = isnull(@p_version,[version]),
			[validez] = isnull(@p_validez,[validez]),
			[contacto] = isnull(@p_contacto,[contacto]),
			[cargo] = isnull(@p_cargo,[cargo]),
			[encabezado] = isnull(@p_encabezado,[encabezado]),
			[condiciones] = isnull(@p_condiciones,[condiciones]),
			[notas] = isnull(@p_notas,[notas]),
			[esAIU] = isnull(@p_esAIU,[esAIU]),
			[procentajeA] = isnull(@p_procentajeA,[procentajeA]),
			[procentajeI] = isnull(@p_procentajeI,[procentajeI]),
			[procentajeU] = isnull(@p_procentajeU,[procentajeU]),
			[valorA] = isnull(@p_valorA,[valorA]),
			[valorI] = isnull(@p_valorI,[valorI]),
			[valorU] = isnull(@p_valorU,[valorU]),
			[id_sucursal] = isnull(@p_id_sucursal,[id_sucursal]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo]),
			[id_usuario_asesor] = isnull(@p_id_usuario_asesor,[id_usuario_asesor]),
			[email] = isnull(@p_email,[email]),
			[telefono]= isnull(@p_telefono, [telefono])
		WHERE (id = @p_id)

END
GO
